diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityPaintingEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryPainting.java
similarity index 76%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityPaintingEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryPainting.java
index 94dc7c958..29a82e0bb 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityPaintingEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryPainting.java
@@ -4,21 +4,21 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerSliderElement;
-import net.minecraft.core.entity.PaintingEntity;
+import net.minecraft.core.entity.EntityPainting;
 import net.minecraft.core.enums.ArtType;
 import net.minecraft.core.world.World;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntityPaintingEntry extends EntityEntry<PaintingEntity>{
+public class EntityEntryPainting extends EntityEntry<EntityPainting>{
     @Override
-    public void onTick(PaintingEntity entity) {
+    public void onTick(EntityPainting entity) {
 
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, PaintingEntity painting) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, EntityPainting painting) {
         ListenerSliderElement slider = new ListenerSliderElement(-1, - 120, 0, 120, 20, painting.art.key, 0f);
         slider.setOnValueChanged(() -> {
             painting.art = ArtType.values.get((int) (slider.sliderValue * (ArtType.values.size() - 1)));
@@ -28,8 +28,8 @@ public class EntityPaintingEntry extends EntityEntry<PaintingEntity>{
     }
 
     @Override
-    public PaintingEntity getEntityInstance(Minecraft mc, World world) {
-        PaintingEntity painting = new PaintingEntity(world);
+    public EntityPainting getEntityInstance(Minecraft mc, World world) {
+        EntityPainting painting = new EntityPainting(world);
         painting.setDirection(2);
         return painting;
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntitySheepEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntrySheep.java
similarity index 83%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntitySheepEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntrySheep.java
index af51cb4bf..fd87d4aff 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntitySheepEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntrySheep.java
@@ -4,7 +4,7 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerSliderElement;
-import net.minecraft.core.entity.animal.SheepMob;
+import net.minecraft.core.entity.animal.MobSheep;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.world.World;
@@ -12,14 +12,14 @@ import net.minecraft.core.world.World;
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntitySheepEntry extends EntityEntry<SheepMob>{
+public class EntityEntrySheep extends EntityEntry<MobSheep>{
     @Override
-    public void onTick(SheepMob entity) {
+    public void onTick(MobSheep entity) {
 
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, SheepMob sheep) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, MobSheep sheep) {
         List<ButtonElement> buttonList = new ArrayList<>();
         ListenerSliderElement slider = new ListenerSliderElement(-1, - 120, 0, 120, 20, I18n.getInstance().translateKeyAndFormat("model.category.entity.sheep.slider.color", "White"), 0f);
         slider.setOnValueChanged(() -> {
@@ -34,8 +34,8 @@ public class EntitySheepEntry extends EntityEntry<SheepMob>{
     }
 
     @Override
-    public SheepMob getEntityInstance(Minecraft mc, World world) {
-        SheepMob sheep = new SheepMob(world);
+    public MobSheep getEntityInstance(Minecraft mc, World world) {
+        MobSheep sheep = new MobSheep(world);
         sheep.setFleeceColor(DyeColor.WHITE);
         return sheep;
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntitySlimeEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntrySlime.java
similarity index 80%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntitySlimeEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntrySlime.java
index 978362242..843de96ba 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntitySlimeEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntrySlime.java
@@ -4,21 +4,21 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerSliderElement;
-import net.minecraft.core.entity.monster.SlimeMob;
+import net.minecraft.core.entity.monster.MobSlime;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.world.World;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntitySlimeEntry extends EntityEntry<SlimeMob>{
+public class EntityEntrySlime extends EntityEntry<MobSlime>{
     @Override
-    public void onTick(SlimeMob entity) {
+    public void onTick(MobSlime entity) {
 
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, SlimeMob entity) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, MobSlime entity) {
         List<ButtonElement> buttonList = new ArrayList<>();
         ListenerSliderElement slider = new ListenerSliderElement(-1, - 120, 0, 120, 20, I18n.getInstance().translateKeyAndFormat("model.category.entity.slime.slider.size", 1), 0f);
         slider.setOnValueChanged(() -> {
@@ -30,8 +30,8 @@ public class EntitySlimeEntry extends EntityEntry<SlimeMob>{
     }
 
     @Override
-    public SlimeMob getEntityInstance(Minecraft mc, World world) {
-        return new SlimeMob(world);
+    public MobSlime getEntityInstance(Minecraft mc, World world) {
+        return new MobSlime(world);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityTNTEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryTNT.java
similarity index 78%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityTNTEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryTNT.java
index 37dfdb1b1..a0e0e7039 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityTNTEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryTNT.java
@@ -4,21 +4,21 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerSliderElement;
-import net.minecraft.core.entity.TNTPrimedEntity;
+import net.minecraft.core.entity.EntityPrimedTNT;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.world.World;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntityTNTEntry extends EntityEntry<TNTPrimedEntity>{
+public class EntityEntryTNT extends EntityEntry<EntityPrimedTNT>{
     @Override
-    public void onTick(TNTPrimedEntity entity) {
+    public void onTick(EntityPrimedTNT entity) {
 
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, TNTPrimedEntity tnt) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, EntityPrimedTNT tnt) {
         tnt.fuse = 80;
         ListenerSliderElement slider = new ListenerSliderElement(-1, - 120, 0, 120, 20, I18n.getInstance().translateKeyAndFormat("model.category.entity.tnt.slider.fuse", 80), 1f);
         slider.setOnValueChanged(() -> {
@@ -29,8 +29,8 @@ public class EntityTNTEntry extends EntityEntry<TNTPrimedEntity>{
     }
 
     @Override
-    public TNTPrimedEntity getEntityInstance(Minecraft mc, World world) {
-        return new TNTPrimedEntity(world);
+    public EntityPrimedTNT getEntityInstance(Minecraft mc, World world) {
+        return new EntityPrimedTNT(world);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityWolfEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryWolf.java
similarity index 93%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityWolfEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryWolf.java
index 1bf36df72..a9b3379a2 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityWolfEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/entity/EntityEntryWolf.java
@@ -3,11 +3,11 @@ package net.minecraft.client.gui.modelviewer.categories.entries.entity;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.gui.modelviewer.elements.ListSelectorButtonElement;
 import net.minecraft.client.gui.modelviewer.elements.ListenerButtonElement;
 import net.minecraft.client.gui.modelviewer.elements.TextCycleElement;
-import net.minecraft.core.entity.animal.WolfMob;
+import net.minecraft.core.entity.animal.MobWolf;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.material.ArmorMaterial;
@@ -18,19 +18,19 @@ import net.minecraft.core.world.World;
 import java.util.ArrayList;
 import java.util.List;
 
-public class EntityWolfEntry extends EntityEntry<WolfMob>{
-    private static final List<ArmorMaterial> armorMaterials = new ArrayList<>(WolfMob.ARMOR_MATERIALS.keySet());
+public class EntityEntryWolf extends EntityEntry<MobWolf>{
+    private static final List<ArmorMaterial> armorMaterials = new ArrayList<>(MobWolf.ARMOR_MATERIALS.keySet());
     static {
         armorMaterials.add(null);
     }
 
     @Override
-    public void onTick(WolfMob entity) {
+    public void onTick(MobWolf entity) {
 
     }
 
     @Override
-    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, WolfMob entityWolf) {
+    public List<ButtonElement> getEntryButtons(Minecraft mc, Screen parentScreen, MobWolf entityWolf) {
         List<ButtonElement> buttonList = new ArrayList<>();
         boolean isTamed = entityWolf.isWolfTamed();
         ListenerButtonElement tamed = new ListenerButtonElement(-1, - 120, 0, 120, 20, I18n.getInstance().translateKeyAndFormat("model.category.entity.wolf.button.tamed", isTamed));
@@ -73,7 +73,7 @@ public class EntityWolfEntry extends EntityEntry<WolfMob>{
         TextCycleElement<Integer> itemIdCycle = new TextCycleElement<Integer>(parentScreen, mc.font, - 120, hasItem.yPosition + 21, 120, 20, 1) {
             @Override
             public Integer cycleElement(Integer current, int offset) {
-                return ModelViewerScreen.cycleItemId(current, offset);
+                return ScreenModelViewer.cycleItemId(current, offset);
             }
 
             @Override
@@ -151,8 +151,8 @@ public class EntityWolfEntry extends EntityEntry<WolfMob>{
     }
 
     @Override
-    public WolfMob getEntityInstance(Minecraft mc, World world) {
-        WolfMob wolf = new WolfMob(world);
+    public MobWolf getEntityInstance(Minecraft mc, World world) {
+        MobWolf wolf = new MobWolf(world);
         wolf.setWolfHeldItem(null);
         return wolf;
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/BlockFXEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryBlock.java
similarity index 89%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/BlockFXEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryBlock.java
index d489910d2..93b81b16f 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/BlockFXEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryBlock.java
@@ -1,10 +1,10 @@
 package net.minecraft.client.gui.modelviewer.categories.entries.particle;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.particle.TerrainParticle;
+import net.minecraft.client.entity.particle.ParticleBlockBreaking;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.gui.modelviewer.elements.ListSelectorButtonElement;
 import net.minecraft.client.gui.modelviewer.elements.TextCycleElement;
 import net.minecraft.core.block.Block;
@@ -17,12 +17,12 @@ import net.minecraft.core.world.World;
 import java.util.Arrays;
 import java.util.List;
 
-public class BlockFXEntry extends GenericFXEntry{
+public class ParticleEntryBlock extends ParticleEntryGeneric {
     protected int blockId;
     protected int meta;
     private Side side = Side.BOTTOM;
 
-    public BlockFXEntry() {
+    public ParticleEntryBlock() {
         super("block");
     }
 
@@ -32,7 +32,7 @@ public class BlockFXEntry extends GenericFXEntry{
         TextCycleElement<Integer> blockIdCycle = new TextCycleElement<Integer>(parentScreen, mc.font, - 120, buttonList.get(buttonList.size()-1).getY() + 21, 120, 20, blockId) {
             @Override
             public Integer cycleElement(Integer current, int offset) {
-                return ModelViewerScreen.cycleBlockId(current, offset);
+                return ScreenModelViewer.cycleBlockId(current, offset);
             }
 
             @Override
@@ -93,7 +93,7 @@ public class BlockFXEntry extends GenericFXEntry{
 
     @Override
     public void spawnParticle(Minecraft mc, World world, double x, double y, double z) {
-        mc.particleEngine.add(new TerrainParticle(world, x, y, z, motionX,motionY,motionZ, Block.getBlock(blockId), side, meta));
+        mc.particleEngine.add(new ParticleBlockBreaking(world, x, y, z, motionX,motionY,motionZ, Block.getBlock(blockId), side, meta));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/BubbleFXEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryBubble.java
similarity index 59%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/BubbleFXEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryBubble.java
index 8cda62029..0868eeb81 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/BubbleFXEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryBubble.java
@@ -1,15 +1,15 @@
 package net.minecraft.client.gui.modelviewer.categories.entries.particle;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.particle.BubbleParticle;
+import net.minecraft.client.entity.particle.ParticleBubble;
 import net.minecraft.core.world.World;
 
-public class BubbleFXEntry extends GenericFXEntry{
-    public BubbleFXEntry() {
+public class ParticleEntryBubble extends ParticleEntryGeneric {
+    public ParticleEntryBubble() {
         super("bubble");
     }
     @Override
     public void spawnParticle(Minecraft mc, World world, double x, double y, double z) {
-        mc.particleEngine.add(new BubbleParticle(world, x, y, z, motionX, motionY, motionZ, false));
+        mc.particleEngine.add(new ParticleBubble(world, x, y, z, motionX, motionY, motionZ, false));
     }
 }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/GenericFXEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryGeneric.java
similarity index 94%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/GenericFXEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryGeneric.java
index 2f13bd2a1..afba87a2a 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/GenericFXEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryGeneric.java
@@ -12,7 +12,7 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Objects;
 
-public class GenericFXEntry extends ParticleEntry{
+public class ParticleEntryGeneric extends ParticleEntry{
     public final String particleID;
     protected final String overrideName;
     protected double motionX;
@@ -20,10 +20,10 @@ public class GenericFXEntry extends ParticleEntry{
     protected double motionZ;
     protected int data;
 
-    public GenericFXEntry(String particleID){
+    public ParticleEntryGeneric(String particleID){
         this(particleID, null);
     }
-    public GenericFXEntry(String particleID, String overrideName){
+    public ParticleEntryGeneric(String particleID, String overrideName){
         this.particleID = Objects.requireNonNull(particleID);
         this.overrideName = overrideName;
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ItemFXEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryItem.java
similarity index 93%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ItemFXEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryItem.java
index 3eccd4c66..d982b4cde 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ItemFXEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryItem.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.gui.modelviewer.categories.entries.particle;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.particle.BreakingItemParticle;
+import net.minecraft.client.entity.particle.ParticleItemBreaking;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.TextCycleElement;
@@ -14,7 +14,7 @@ import net.minecraft.core.world.World;
 import java.util.ArrayList;
 import java.util.List;
 
-public class ItemFXEntry extends ParticleEntry{
+public class ParticleEntryItem extends ParticleEntry{
     protected int itemID;
     @Override
     public String getParticleName(I18n translator) {
@@ -55,7 +55,7 @@ public class ItemFXEntry extends ParticleEntry{
 
     @Override
     public void spawnParticle(Minecraft mc, World world, double x, double y, double z) {
-        mc.particleEngine.add(new BreakingItemParticle(world, x, y, z, Item.itemsList[itemID]));
+        mc.particleEngine.add(new ParticleItemBreaking(world, x, y, z, Item.itemsList[itemID]));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/LeafFXEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryLeaf.java
similarity index 60%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/LeafFXEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryLeaf.java
index 294a3da4a..3c5864e7b 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/LeafFXEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryLeaf.java
@@ -1,15 +1,15 @@
 package net.minecraft.client.gui.modelviewer.categories.entries.particle;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.particle.LeafParticle;
+import net.minecraft.client.entity.particle.ParticleLeaf;
 import net.minecraft.core.world.World;
 
-public class LeafFXEntry extends GenericFXEntry{
-    public LeafFXEntry() {
+public class ParticleEntryLeaf extends ParticleEntryGeneric {
+    public ParticleEntryLeaf() {
         super("fallingleaf");
     }
     @Override
     public void spawnParticle(Minecraft mc, World world, double x, double y, double z) {
-        mc.particleEngine.add(new LeafParticle(world, x, y, z, motionX, motionY, motionZ));
+        mc.particleEngine.add(new ParticleLeaf(world, x, y, z, motionX, motionY, motionZ));
     }
 }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/NoteFXEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryNote.java
similarity index 90%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/NoteFXEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryNote.java
index 2fd5d5a61..3e15a4a3f 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/NoteFXEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryNote.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.gui.modelviewer.categories.entries.particle;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.particle.NoteParticle;
+import net.minecraft.client.entity.particle.ParticleNote;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerSliderElement;
@@ -11,7 +11,7 @@ import net.minecraft.core.world.World;
 import java.util.ArrayList;
 import java.util.List;
 
-public class NoteFXEntry extends ParticleEntry{
+public class ParticleEntryNote extends ParticleEntry{
     protected int note = 0;
     protected final int maxNote = 24;
     @Override
@@ -34,7 +34,7 @@ public class NoteFXEntry extends ParticleEntry{
 
     @Override
     public void spawnParticle(Minecraft mc, World world, double x, double y, double z) {
-        mc.particleEngine.add(new NoteParticle(world, x, y, z, 0.0, 0.0D, 0.0D, note));
+        mc.particleEngine.add(new ParticleNote(world, x, y, z, 0.0, 0.0D, 0.0D, note));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/RedDustFXEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryRedstone.java
similarity index 93%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/RedDustFXEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryRedstone.java
index 056c5797a..68177a69a 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/RedDustFXEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/particle/ParticleEntryRedstone.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.gui.modelviewer.categories.entries.particle;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.particle.RedstoneDustParticle;
+import net.minecraft.client.entity.particle.ParticleRedstoneDust;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.modelviewer.elements.ListenerTextFieldElement;
@@ -12,7 +12,7 @@ import org.lwjgl.input.Keyboard;
 import java.util.ArrayList;
 import java.util.List;
 
-public class RedDustFXEntry extends ParticleEntry{
+public class ParticleEntryRedstone extends ParticleEntry{
     private int red = 0;
     private int green = 0;
     private int blue = 0;
@@ -71,7 +71,7 @@ public class RedDustFXEntry extends ParticleEntry{
 
     @Override
     public void spawnParticle(Minecraft mc, World world, double x, double y, double z) {
-        mc.particleEngine.add(new RedstoneDustParticle(world, x, y, z, red/255f, green/255f, blue/255f, 15));
+        mc.particleEngine.add(new ParticleRedstoneDust(world, x, y, z, red/255f, green/255f, blue/255f, 15));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/elements/ListenerSliderElement.java b/src/main/java/net/minecraft/client/gui/modelviewer/elements/ListenerSliderElement.java
index 2b88be8b7..3335d6870 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/elements/ListenerSliderElement.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/elements/ListenerSliderElement.java
@@ -2,18 +2,18 @@ package net.minecraft.client.gui.modelviewer.elements;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.SliderElement;
-import net.minecraft.client.option.FloatOption;
+import net.minecraft.client.option.OptionFloat;
 
 public class ListenerSliderElement extends SliderElement implements IListenerElement<ListenerSliderElement> {
     private IActionListener action;
     private IKeyListener keyListener;
     private Runnable onValueChanged;
-    public ListenerSliderElement(int id, int xPosition, int yPosition, FloatOption floatOption) {
-        super(id, xPosition, yPosition, floatOption);
+    public ListenerSliderElement(int id, int xPosition, int yPosition, OptionFloat optionFloat) {
+        super(id, xPosition, yPosition, optionFloat);
     }
 
-    public ListenerSliderElement(int id, int xPosition, int yPosition, int width, int height, FloatOption floatOption) {
-        super(id, xPosition, yPosition, width, height, floatOption);
+    public ListenerSliderElement(int id, int xPosition, int yPosition, int width, int height, OptionFloat optionFloat) {
+        super(id, xPosition, yPosition, width, height, optionFloat);
     }
 
     public ListenerSliderElement(int id, int xPosition, int yPosition, int width, int height, String text, float defaultValue) {
diff --git a/src/main/java/net/minecraft/client/gui/options/components/BooleanOptionComponent.java b/src/main/java/net/minecraft/client/gui/options/components/BooleanOptionComponent.java
index c4264b813..8d8f00351 100644
--- a/src/main/java/net/minecraft/client/gui/options/components/BooleanOptionComponent.java
+++ b/src/main/java/net/minecraft/client/gui/options/components/BooleanOptionComponent.java
@@ -2,15 +2,15 @@ package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.SwitchElement;
-import net.minecraft.client.option.BooleanOption;
+import net.minecraft.client.option.OptionBoolean;
 
 public class BooleanOptionComponent
     extends ButtonComponent
 {
-    private final BooleanOption option;
+    private final OptionBoolean option;
     private final SwitchElement button;
 
-    public BooleanOptionComponent(BooleanOption option)
+    public BooleanOptionComponent(OptionBoolean option)
     {
         super("options." + option.name);
 
diff --git a/src/main/java/net/minecraft/client/gui/options/components/DifficultyOptionComponent.java b/src/main/java/net/minecraft/client/gui/options/components/DifficultyOptionComponent.java
index 29434eb2c..eb61a2982 100644
--- a/src/main/java/net/minecraft/client/gui/options/components/DifficultyOptionComponent.java
+++ b/src/main/java/net/minecraft/client/gui/options/components/DifficultyOptionComponent.java
@@ -2,16 +2,16 @@ package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.IntegerSliderElement;
-import net.minecraft.client.option.EnumOption;
+import net.minecraft.client.option.OptionEnum;
 import net.minecraft.core.enums.Difficulty;
 import net.minecraft.core.lang.I18n;
 
 public class DifficultyOptionComponent extends ButtonComponent {
 
-    protected final EnumOption<Difficulty> option;
+    protected final OptionEnum<Difficulty> option;
     protected final IntegerSliderElement slider;
 
-    public DifficultyOptionComponent(EnumOption<Difficulty> difficultyOption) {
+    public DifficultyOptionComponent(OptionEnum<Difficulty> difficultyOption) {
         super("options." + difficultyOption.name);
         option = difficultyOption;
         this.slider = new IntegerSliderElement(0, 0, 0, 150, 20, option);
diff --git a/src/main/java/net/minecraft/client/gui/options/components/FloatOptionComponent.java b/src/main/java/net/minecraft/client/gui/options/components/FloatOptionComponent.java
index 92b07cd86..158ae6230 100644
--- a/src/main/java/net/minecraft/client/gui/options/components/FloatOptionComponent.java
+++ b/src/main/java/net/minecraft/client/gui/options/components/FloatOptionComponent.java
@@ -2,15 +2,15 @@ package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.SliderElement;
-import net.minecraft.client.option.FloatOption;
+import net.minecraft.client.option.OptionFloat;
 
 public class FloatOptionComponent
         extends ButtonComponent
 {
-    private final FloatOption option;
+    private final OptionFloat option;
     private final SliderElement slider;
 
-    public FloatOptionComponent(FloatOption option)
+    public FloatOptionComponent(OptionFloat option)
     {
         super("options." + option.name);
 
diff --git a/src/main/java/net/minecraft/client/gui/options/components/FramerateOptionComponent.java b/src/main/java/net/minecraft/client/gui/options/components/FramerateOptionComponent.java
index cd0b246c4..da9ca3938 100644
--- a/src/main/java/net/minecraft/client/gui/options/components/FramerateOptionComponent.java
+++ b/src/main/java/net/minecraft/client/gui/options/components/FramerateOptionComponent.java
@@ -1,11 +1,11 @@
 package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.option.RangeOption;
+import net.minecraft.client.option.OptionRange;
 import net.minecraft.client.render.window.GameWindowGLFW;
 
 public class FramerateOptionComponent extends ToggleableOptionComponent<Integer>{
-    public FramerateOptionComponent(RangeOption option) {
+    public FramerateOptionComponent(OptionRange option) {
         super(option);
     }
     @Override
